Bug 1444097 (CVE-2017-7867)

Summary: CVE-2017-7867 icu: Heap-buffer overflow in utext_setNativeIndex function
Product: [Other] Security Response Reporter: Andrej Nemec <anemec>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED WONTFIX QA Contact:
Severity: medium Docs Contact:
Priority: medium    
Version: unspecifiedCC: abhgupta, ascheel, cfu, denis.arnaud_fedora, dmoluguw, edewata, erack, erik-fedora, jmagne, kseifried, mfabian, mharmsen, tiwillia, tuxator
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
A vulnerability was found in the International Components for Unicode (ICU). Specially crafted invalid utf-8 text, when parsed or manipulated using particular functions in libicu, could cause out-of-bounds heap reads and writes potentially leading to a crash, memory disclosure, or possibly code execution.
Story Points: ---
Clone Of: Environment:
Last Closed: 2017-09-21 10:55:39 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On: 1444099, 1444100, 1444101    
Bug Blocks: 1444102    

Description Andrej Nemec 2017-04-20 14:43:59 UTC
International Components for Unicode (ICU) for C/C++ has an out-of-bounds write caused by a heap-based buffer overflow related to the utf8TextAccess function in common/utext.cpp and the utext_setNativeIndex* function. 

References:

https://bugs.chromium.org/p/oss-fuzz/issues/detail?id=213

Upstream patch:

http://bugs.icu-project.org/trac/changeset/39671

Comment 1 Andrej Nemec 2017-04-20 14:46:13 UTC
Created icu tracking bugs for this issue:

Affects: fedora-all [bug 1444101]


Created mingw-icu tracking bugs for this issue:

Affects: epel-7 [bug 1444100]
Affects: fedora-all [bug 1444099]

Comment 3 Doran Moppert 2017-04-28 06:49:43 UTC
*** Bug 1444098 has been marked as a duplicate of this bug. ***

Comment 4 Doran Moppert 2017-05-31 05:41:14 UTC
The OOB writes demonstrated by the oss-fuzz crasher are small writes in a libicu internal structure, with very little control (size, location or content) accessible to the attacker.  The risk of ACE through this flaw is very small.

Comment 6 Doran Moppert 2017-05-31 05:49:56 UTC
Statement:

Red Hat Product Security has rated this issue as having Moderate security impact. This issue is not currently planned to be addressed in future updates. For additional information, refer to the Issue Severity Classification: https://access.redhat.com/security/updates/classification/.